spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
spot::acc_cond Class Reference
Collaboration diagram for spot::acc_cond:

## Classes
struct | acc_code
union | acc_word
struct | mark_t

## Public Types
enum | acc_op : unsigned short { Inf, Fin, InfNeg, FinNeg, And, Or }

## Public Member Functions
| acc_cond (unsigned n_sets=0, const acc_code &code={})
| acc_cond (const acc_code &code)
| acc_cond (const acc_cond &o)
acc_cond & | operator= (const acc_cond &o)
void | set_acceptance (const acc_code &code)
const acc_code & | get_acceptance () const
acc_code & | get_acceptance ()
bool | uses_fin_acceptance () const
bool | is_t () const
bool | is_all () const
bool | is_f () const
bool | is_none () const
bool | is_buchi () const
bool | is_co_buchi () const
void | set_generalized_buchi ()
bool | is_generalized_buchi () const
bool | is_generalized_co_buchi () const
int | is_rabin () const
int | is_streett () const
bool | is_generalized_rabin (std::vector< unsigned > &pairs) const
bool | is_parity (bool &max, bool &odd, bool equiv=false) const
bool | is_parity () const
std::pair< bool, acc_cond::mark_t > | unsat_mark () const
unsigned | add_sets (unsigned num)
unsigned | add_set ()
mark_t | mark (unsigned u) const
mark_t | comp (mark_t l) const
mark_t | all_sets () const
bool | accepting (mark_t inf) const
bool | inf_satisfiable (mark_t inf) const
mark_t | accepting_sets (mark_t inf) const
std::ostream & | format (std::ostream &os, mark_t m) const
std::string | format (mark_t m) const
unsigned | num_sets () const
template<class iterator >
mark_t | useless (iterator begin, iterator end) const

## Static Public Member Functions
static acc_code | inf (mark_t mark)
static acc_code | inf (std::initializer_list< unsigned > vals)
static acc_code | inf_neg (mark_t mark)
static acc_code | inf_neg (std::initializer_list< unsigned > vals)
static acc_code | fin (mark_t mark)
static acc_code | fin (std::initializer_list< unsigned > vals)
static acc_code | fin_neg (mark_t mark)
static acc_code | fin_neg (std::initializer_list< unsigned > vals)

## Protected Member Functions
bool | check_fin_acceptance () const
mark_t::value_t | all_sets_ () const

## Protected Attributes
unsigned | num_
mark_t::value_t | all_
acc_code | code_
bool | uses_fin_acceptance_ = false

The documentation for this class was generated from the following file:

- spot/twa/acc.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.